sr=44100
kr=22050
ksmps=2
nchnls=2
zakinit 30,30

;---------------------------------------------------------------------
; Disk Input Stereo
;---------------------------------------------------------------------
        instr  1

iamp    =      p4
irate   =      p5
isndin  =      p6
ioutch1 =      p7
ioutch2 =      p8

ain1, ain2 diskin  isndin, irate
        zaw    ain1*iamp, ioutch1
        zaw    ain2*iamp, ioutch2

        endin

;---------------------------------------------------------------------
; Disk Input
;---------------------------------------------------------------------
       instr  2

iamp   =      p4
irate  =      p5
isndin =      p6
ioutch =      p7

ain    diskin  isndin, irate
       zaw     ain*iamp, ioutch
;       outs    ain*iamp, ain*iamp

       endin

; Reverb Mono/Mono
       instr   3

inch   =       p4
irtime =       p5
idel1  =       (int(irtime*kr)+1)/kr

asig   zar     inch

awet1   convolve asig, "Slucia.cv"
aout    delay asig, idel1

       outs    aout/2+awet1*.005, aout/2-awet1*.005

       endin

; Reverse Mono/Mono Reverb
       instr   4

inch   =       p4
irtime =       p5
idel1  =       (int(irtime*kr)+1)/kr*2

asig   zar     inch

awet1   convolve asig, "revrsbb.cv"
aout    delay asig, idel1

       outs    aout/2+awet1*.005, aout/2-awet1*.005

       endin

; Stereo/Stereo Reverb
       instr   5

inch   =       p4
irtime =       p5
idel1  =       (int(irtime*kr)+1)/kr*2

asig, asig2   diskin  11, 1

awet1, awet2   convolve asig, "Slucia.cv"
aout    delay asig, idel1

       outs    aout/2+awet1*.005, aout/2+awet2*.005

       endin

