f1 0 8192 10 1

;t 0 400

; Instrument 1 initializes pitches for use in portamento instruments.
;  Start Dur Pitch2 Pitch3
i1 0     .1   7.09   10.00

; Epicycloid
;   Start Dur  Amp    Frqc   A    B    Hole
;i2   0     6  8000    8.00   10   2     1
;i2   4     4  .       7.11   5.6  .4    .8
;i2   +     4  .       8.05   2    8.5   .7
;i2   .     2  .       8.02   4    5     .6
;i2   .     2  .       8.02   5    .5   1.2

;i2   0     2  24000    7.09   5.6  .4    1.8
;i2   0     2  24000   7.09   4     5    .6

;i4   0    16  10000    7.00   4    5


; Hypocycloid
;   Start Dur  Amp    Frqc   A    B    Hole
;i3   16    6  8000    8.00  10   2     1
;i3   20    4  .       7.11   5.6  .4    .8
;i3   +     4  .       8.05   2   8.5    .7
;i3   .     2  .       8.02   4   5      .6
;i3   .     2  .       8.02   5    .5   1.2

; Klein Bottle
;   Start Dur  Amp    Frqc   U    V    
;i4   0     6  6000    6.00   3    2    
;i4   4     4  .       5.11   5.6  .4   
;i4   +     4  .       6.05   2    8.5  
;i4   .     2  .       6.02   4    5    
;i4   .     2  .       6.02   5    .5   

; Spherical Lissajous
;    Sta  Dur  Amp    Frqc   U    V     OutX  OutY  OutZ
;i5   0     6   5000  7.00   3    2     1     2     3
;i5   +     4   6000   5.11   5.6  .4    .     .     .
;i5   .     4   .      6.05   2    8.5   .     .     .
;i5   .     2   4500   6.02   4    5     .     .     .
;i5   .     2   6000   6.02   5    .5    .     .     .
;i5   .     3   .      6.08   4    1     .     .     .
;i5   .     4   .      5.11   2.6  1.3   .     .     .
;i5   .     4   2000   6.02   2    4     .     .     .
;i5   .     2   4000   6.08   2    3     .     .     .
;i5   .     6   8000   7.02   .7   .8    .     .     .
;i5   .     1   8000   6.00   2    3     .     .     .
;i5   .     1   8000   6.00   2    3     .     .     .
;i5   .     1   8000   6.08   2    3     .     .     .
;i5   .     1   8000   6.00   2    3     .     .     .
;i5   .     1   8000   6.00   2    3     .     .     .
;i5   .     1   8000   6.00   2    3     .     .     .
;i5   .     1   8000   6.00   2    3     .     .     .
;i5   .     1   8000   6.00   2    3     .     .     .

; Spherical Lissajous
;    Sta  Dur  Amp    Frqc   U    V     OutX  OutY  OutZ
i5   0    .6  25000   7.04   3    2     1     2     3
i5   +    .4  26000   5.11   5.6  .4    .     .     .
i5   .    .4  28000   6.07   2    8.5   .     .     .
i5   .    .2  24500   6.02   4    5     .     .     .
i5   .    .2  26500   6.07   4.2  5.1   .     .     .
i5   .    .6  24500   6.09   4    4     .     .     .
i5   .    .2  26000   6.02   5    .5    .     .     .
i5   .    .4   .      6.08   4    1     .     .     .
i5   .    .4   .      5.11   2.6  1.3   .     .     .

; Planar Rotation
; 1=X-Y Plane, 2=X-Z Plane, 3=Y-Z Plane
;    Sta  Dur  Fqc  Phase  Plane  InX  InY  InZ  OutX  OutY  OutZ
i50  0    3.4  1.5  0      2      1    2    3    4     5     6
;i50  0    16   1.8  0      3      4    5    6    7     8     9
;i50  0    16   0    .05    1      7    8    9    10    11    12

; Mixer
;    Sta  Dur  In1  In2
i100 0    3.4   4    6
