;------------------------------------------------------------------
; Industry
; by Hans Mikelson April 1998
;------------------------------------------------------------------
; ORCHESTRA

sr=44100
kr=22050
ksmps=2
nchnls=2

;------------------------------------------------------------------
; Industrial Loops
;------------------------------------------------------------------
        instr      4

idur    =          p3
iamp    =          p4*2
ifqc    =          cpspch(p5)
iplstab =          p6
irattab =          p7
iratrat =          p8
ipantab =          p9
imixtab =          p10
ilptab  =          p11

kpan    oscil      1, 1/idur, ipantab             ; Panning
kmix    oscil      1, 1/idur, imixtab             ; Fading
kloop   oscil      1, 1/idur, ilptab              ; Looping
;kfc     expseg     .1, idur/2, 4, idur/2, .1      ; Fqc Center

loop1:
kprate  oscil      1, iratrat/kloop, irattab      ; Pulse Rate
kamp    oscil      iamp, kprate, iplstab          ; Amplitude Pulse

asig    rand       kamp                           ; Noise source
;aflt    butterbp   asig, ifqc*kfc, ifqc*kfc/4     ; Band Filter
aflt    butterbp   asig, ifqc, ifqc/4             ; Band Filter
aout    balance    aflt, asig                     ; Bring level back up

;       When the time runs out reinitialize
        timout     0, i(kloop), cont1
        reinit     loop1
cont1:

        outs       aout*sqrt(kpan)*kmix, aout*sqrt(1-kpan)*kmix ; Output pan & fade

        endin

