sr=44100
kr=22050
ksmps=2
nchnls=2

;Bubbling Cauldron from CubeWater , variation on Kim Cascone's Water by Eloy Anzola

instr 8

        igain   = p4
        ifreq   = p5    ;must be values < or close to 1, controls pitch
        krt     = p6    ;this is the frq of the randh output & clk osc
        ipantab = p7

        ksh  randh 5000, krt

        ;a2 oscil 2, 100, 1               ;sine osc (f1) controlled by S&H
        a2 rand 3000

        ksh = ksh * ifreq               ;* .5

        a4      butterhp   a2,ksh ;,50       ;filter with s&h controling the Fco
        a3      oscil   a4,1/p3,13      ;a3 is the output f13 ADSR

        a3 = a3 * igain

        kpan    oscil   1,.14, ipantab

        aoutl   =       a3 * (1-kpan)
        aoutr   =       a3 * kpan
        
        outs    aoutl,aoutr

endin

