sr=44100
kr=22050
ksmps=2
nchnls=2
zakinit 30,30

;Lorenz Attractor
        instr  1

iamp    init   p4
kx      init   p5
ky      init   p6
kz      init   p7
is      init   p8
ir      init   p9
ib      init   p10
ih      init   p11
ioutch  init   p12

kxnew   =      kx+ih*is*(ky-kx)
kynew   =      ky+ih*(-kx*kz+ir*kx-ky)
kznew   =      kz+ih*(kx*ky-ib*kz)

kx      =      kxnew
ky      =      kynew
kz      =      kznew

        printk .5, kx
        printk .5, ky
        printk .5, kz

        zkw    kx*iamp, ioutch
        endin

; Sound in
instr 10

iamp   =      p4
irate  =      p5
iinkch =      p6
ioutch =      p7

klfo   zkr     iinkch
ain    diskin  "sphere.wav", irate+klfo
       zaw     ain*iamp, ioutch

endin

; Sound in
instr 11

iamp   =      p4
irate  =      p5
ioutch =      p6

ain    diskin  "sphere.wav", irate
       zaw     ain*iamp, ioutch

endin

; Reverb
instr 100

irevt  =      p4
idelt  =      p5
ifdbk  =      p6
iinch  =      p7
adel1  init   0

ain    zar     iinch
asig   =       ain+.2*adel1
adel1  delay   asig, .3
arev   reverb  ain, irevt
       outs    .5*asig+.4*arev, .5*asig+.4*arev

endin

; Reverb 2
       instr   101

irevt  =       p4
ifdbk  =       p5
iinch  =       p6
iinkch =       p7
arev   init    0

ain    zar     iinch
kin    zkr     iinkch

krevt  =       kin+irevt
asig   =       ain+ifdbk*arev
arev   reverb  asig, krevt

aoutl  =       arev
       outs    aoutl, aoutl

       endin

