;---------------------------------------------------------------------------
; TeknoBubble
; This song is based around drum machine and sequencer based sounds.
; Coded: February-May 1998 by Hans Mikelson
;---------------------------------------------------------------------------

t0  60

f1  0 8193 10 1              ; Sine
f2  0 1025  7 1  1025 1      ; 1?
f3  0 1025 -7 8  1025 8      ; Speed
f4  0 1025 10 1  0  .333  0  .2  0  .143  0 .111  0   .0909  ; Square ?

f90 0 1025 -7 0  1025 1   ; Ramp, FadeIn, PanRL
f91 0 1025 -7 1  1025 0   ; Saw, FadeOut, PanLR
f92 0 1025 -7 1  1025 1   ; Const 1, PanL
f93 0 1025 -7 .5 1025 .5  ; Const .5, PanC
f94 0 1025 -7 0  1025 0   ; Const 0, PanR
f95 0 1025 -7 .8  513 .2 512 .8   ; PanRLR
f96 0 1025 -7 .2  513 .8 512 .2   ; PanLRL
f97 0 1025 -7 1   1025 .7         ; FadeDown
f98 0 1025 -7 .5  1025 1          ; FadeUp
f99 0 1025 -7 0  513 1 512 1      ; FadeIn & Hold

;---------------------------------------------------------------------------
; Metal Acid Bass Sequence
;---------------------------------------------------------------------------
f15  0 65537 8 1  8193 .99 8192 .96 8192 .9 4096 -.3 8192 -.5 4096 -.7 8192 -.8 8192 -.9 8192 -1
f60  0 1025 -7 500 256 2000 256 8000 512 500  ; Fco Envelope
f51  0 16  -2  1     2     1     1     2     1     2     1     1     1     1    1     1     ; Duration
f52  0 16  -2  6.00  6.00  6.00  7.00  6.10  6.00  6.00  6.00  6.00  7.00  6.10 6.00  7.00  ; Pitch
f53  0 16  -2  .7    .8    .9    1     1.1   1.2   2     .8    1     1.3   1.6  1.8   2     ; Accent
f54  0 16  -2  0     0     0     0     0     0     1     1.1   1     1.1   1.2  1.3   1.5   ; Amp
; Envelope
;    Sta    Dur  Amp  Rate  Table  OutKCh
i5   0      12   1    1     60     2
i5   0      12   8    1     92     3
; Metal Acid Bass
;    Sta    Dur  Amp  DurTab  DrumTab  Accent  AmpTab  Speed  Steps  FcoKCh  RezKCh  OutCh  Distort
i40  0      12   8000 51      52       53      54      3      13     2       3       5      15

; Mixer
;    Sta  Dur  Amp  Ch  Pan  Fader
i190 0    12   1    5   95   92

; Clear Zak
;     Sta  Dur
i195  0    12

